package com.ruoyi.ibs.grid.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Objects;

public class AddressDetail implements Serializable {
    private Long id;
    /**
     * 地址名称;类似经营地址/注册地址
     */
    @Excel(name = "地址名称")
    private String addressName;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    @Excel(name = "地址")
    private String address;

    @Excel(name = "地址来源")
    private String source;
    /**
     * 经度，取原地址对应的经度
     */
    private String longitude;
    /**
     * 纬度，取原地址对应纬度
     */
    private String latitude;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AddressDetail that = (AddressDetail) o;
        return Objects.equals(addressName, that.addressName) &&
                Objects.equals(address, that.address) &&
                Objects.equals(source, that.source);
    }

    @Override
    public int hashCode() {
        return Objects.hash(addressName, address, source);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
